/**
 * Copyright 2018 bejson.com
 */
package com.zkjc.common.bean;


import java.util.List;

public class IDimgBean {


    /**
     * code : 0
     * message : success
     * path :
     * data : [{"name":"李丹","nation":"汉","person_id":"220221198607227720","picture_url":"http://192.168.20.228:7022/faceImg/api-gateway-engine/API/rxbd003/V0001/rxbd_003?uri_base64=bm9ybWFsOi8vcmVwb3NpdG9yeS1idWlsZGVyLzIwMTgwNzEwL0Ztb2o2QWhLcTloUy1HUTgwNjJYQkE9PUAx","sex":"女","similarity":"94%"},{"name":"张瑜","nation":"汉","person_id":"220211199010103321","picture_url":"http://192.168.20.228:7022/faceImg/api-gateway-engine/API/rxbd003/V0001/rxbd_003?uri_base64=bm9ybWFsOi8vcmVwb3NpdG9yeS1idWlsZGVyLzIwMTgwNzExL0d2cXdIekYxNGJOc01paG95U0ZNSUE9PUAx","sex":"女","similarity":"85%"},{"name":"张美薇","nation":"汉","person_id":"220182198602252326","picture_url":"http://192.168.20.228:7022/faceImg/api-gateway-engine/API/rxbd003/V0001/rxbd_003?uri_base64=bm9ybWFsOi8vcmVwb3NpdG9yeS1idWlsZGVyLzIwMTgwNzExLzh5emczeTdEYytUU3gtQ3UzY0tqcmc9PUAx","sex":"女","similarity":"84%"}]
     * extra : {}
     * timestamp : 1578637340511
     */

    private int code;
    private String message;
    private String path;
    private ExtraBean extra;
    private String timestamp;
    private List<DataBean> data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public ExtraBean getExtra() {
        return extra;
    }

    public void setExtra(ExtraBean extra) {
        this.extra = extra;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class ExtraBean {
    }

    public static class DataBean {
        /**
         * name : 李丹
         * nation : 汉
         * person_id : 220221198607227720
         * picture_url : http://192.168.20.228:7022/faceImg/api-gateway-engine/API/rxbd003/V0001/rxbd_003?uri_base64=bm9ybWFsOi8vcmVwb3NpdG9yeS1idWlsZGVyLzIwMTgwNzEwL0Ztb2o2QWhLcTloUy1HUTgwNjJYQkE9PUAx
         * sex : 女
         * similarity : 94%
         */

        private String name;
        private String nation;
        private String person_id;
        private String picture_url;
        private String sex;
        private String similarity;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getNation() {
            return nation;
        }

        public void setNation(String nation) {
            this.nation = nation;
        }

        public String getPerson_id() {
            return person_id;
        }

        public void setPerson_id(String person_id) {
            this.person_id = person_id;
        }

        public String getPicture_url() {
            return picture_url;
        }

        public void setPicture_url(String picture_url) {
            this.picture_url = picture_url;
        }

        public String getSex() {
            return sex;
        }

        public void setSex(String sex) {
            this.sex = sex;
        }

        public String getSimilarity() {
            return similarity;
        }

        public void setSimilarity(String similarity) {
            this.similarity = similarity;
        }
    }
}